Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.ui.action
Class ComputeIndividualsBelongingToClassAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.actions.ResourceAction
              edu.stanford.smi.protegex.owl.inference.ui.action.ComputeIndividualsBelongingToClassAction

All Implemented Interfaces:
  RunnableReasonerAction, ActionListener, Serializable, Cloneable, Comparable, EventListener, Action

    public class ComputeIndividualsBelongingToClassAction

extends ResourceAction
implements RunnableReasonerAction

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 17, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ComputeIndividualsBelongingToClassAction()`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`void` | `executeReasonerActions(ReasonerTaskListener taskListener)` Will be called by the runner to execute some reasoner actions.
`boolean` | `isSuitable(Component component, RDFResource resource)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.actions.ResourceAction
`compareTo, getComponent, getGroup, getOWLModel, getPriority, getResource, initialize, isInToolBar`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.inference.ui.RunnableReasonerAction
`getOWLModel`

Constructor Detail

### ComputeIndividualsBelongingToClassAction

    public ComputeIndividualsBelongingToClassAction()

Method Detail

### isSuitable

    public boolean isSuitable(Component component,
                              RDFResource resource)

  Specified by:
    `isSuitable` in class `ResourceAction`

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### executeReasonerActions

    public void executeReasonerActions(ReasonerTaskListener taskListener)
                                throws ProtegeReasonerException

  Description copied from interface: `RunnableReasonerAction`
  Will be called by the runner to execute some reasoner actions.

  Specified by:
    `executeReasonerActions` in interface `RunnableReasonerAction`
  Throws:
    `ProtegeReasonerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.